UDDI Services

Universal Description, Discovery, and Integration (UDDI) is an industry specification for publishing and locating information about Web services. UDDI Services in the Windows Server® 2008 operating system provides UDDI capabilities for use within an enterprise or between business partners. With UDDI Services, developers can publish, discover, share, and interact with Web services directly through their development tools and business applications.

  • Overview of UDDI Services

  • Checklist: Install UDDI Services on a Single Server

  • Checklist: Install the Web Application for a Distributed Installation

  • Checklist: Install the Database for a Distributed Installation

  • Checklist: Assess UDDI Capabilities by Deploying UDDI Services in a Small-Scale Environment

  • Checklist: Implement a Stand-Alone Web Services Registry by deploying UDDI Services on a Single Server

  • Checklist: Implement a Distributed Web Services Registry by Deploying UDDI Services Across Multiple Servers

  • Installing UDDI Services

  • Upgrading UDDI Services

  • Configure UDDI Services

  • Manage UDDI Services

  • Resources for UDDI Services

  • User Interface: UDDI Services


Overview of UDDI Services

UDDI Services provides Universal Description, Discovery, and Integration (UDDI) capabilities for sharing information about Web services within an organization's intranet, between business partners on an extranet, or on the Internet. UDDI Services can help improve the productivity of developers and information technology (IT) professionals with more reliable and manageable applications. With UDDI Services you can prevent duplication of effort by promoting reuse of existing development work.

Microsoft UDDI Services provides developers and IT administrators with the following benefits:

  • A scalable solution for organizing, discovering, reusing, and managing Web services and other programmable resources

  • A standards-based infrastructure that is compliant with Version 2 of the UDDI application programming interface (API) specifications

  • Categorization schemes for describing providers and their Web services that you can customize to meet the needs of your organization

  • Integration with various development tools

  • User-friendly administration with the UDDI Services snap-in

Installation options

You can deploy UDDI Services with a stand-alone installation, or you can choose from a variety of configuration options with a distributed installation in an enterprise environment.

Stand-alone installation

Use a stand-alone installation for developer prototyping or other low-volume scenarios that involve a limited number of simultaneous users. This is the only type of installation that is available in the Windows Server® 2008 Standard operating system.

Distributed installation

We recommend a distributed installation for enterprise-wide implementations or other high-volume scenarios in which access times, availability, and reliability are of greater importance.

A distributed installation of UDDI Services, in which the UDDI Services Web Application and the UDDI Services Database are installed on different servers, is available only with the Windows Server® 2008 Enterprise and Windows Server® 2008 Datacenter operating systems This type of installation can provide a very fault-tolerant and responsive configuration because it places each of the UDDI Services components on separate servers, a server cluster, or a Web farm. The way in which you deploy the components is based on how you want to load-balance your installation.

UDDI Services site

An installation of UDDI Services consists of the following two role services:

  • UDDI Services Database

  • UDDI Services Web Application

A set of UDDI Services Database and Web Application servers that have the same configuration is referred to as a UDDI Services “site.” The Web server component may be hosted on the same server as the database component, or it may be hosted across multiple servers. Multiple Web servers at different locations that are connected to the same database component are part of the same site because they share the same database. Components that are part of the same site also share a set of configuration settings that control how the site behaves as a whole. These settings include user group mappings to security groups, the types of authentication that the site supports, and additional cryptography and encryption settings.

In a stand-alone installation, the Web server component and database are installed on a single server.

UDDI Services Database

The UDDI Services Database provides data storage services for a site. You can install it into a database instance on an existing installation of Microsoft® SQL Server™ or as a stand-alone installation to Windows Internal Database, which is an embedded version of SQL Server in Windows Server 2008.

In addition to storing site data, the UDDI Services Database also stores all site-wide configuration settings, such as the name of a site, its user group mappings, and all security settings for the site.

UDDI Services Web Application

The UDDI Services Web Application uses Internet Information Services (IIS) 7.0. The Web user interface (UI) provides search, publishing, and coordination capabilities.

This component provides support for the UDDI APIs and Windows Integrated Authentication, UDDI publisher authentication, or a combination of the two on both the Web UI and API interfaces.

Interacting with UDDI Services

Developers can publish, discover, and share Web services using the following interfaces:

  • UDDI Services Web User Interface: Provides search, publishing, and coordination features that are compatible with Microsoft Internet Explorer® and Netscape Navigator 4.5 or later.

  • Visual Studio .NET Add Web Reference Interface: Provides Web service discovery and integration in Microsoft Visual Studio® 2005 through UDDI Services. The ASP.NET Web service extension is enabled automatically when you install the Web server component.

  • UDDI API Interface: Supports the UDDI version 2.0 API and enables developers to publish, discover, share, and interact with Web services directly through their development tools and business applications.

For more information about APIs for developers, see the Microsoft UDDI SDK (http://go.microsoft.com/fwlink/?LinkId=81040).

Administrators can manage UDDI Services with a Microsoft Management Console (MMC) snap-in and with command-line tools that provide local and remote administration capabilities. UDDI management interfaces include the following:

  • UDDI Services snap-in: This Microsoft Management Console (MMC) snap-in is installed automatically when you install UDDI Services. You can perform many configuration and management tasks with the UDDI Services snap-in. You can run the snap-in from a Windows Server 2008 or a Windows Vista® computer.

  • UDDI Services Web UI: Administrators can use the Web UI to perform management and coordination tasks.

  • Command-line and remote Administration tools: There are various management tasks that you can perform using command-line tools. You can use command-line tools to create categorization schemes, import XML data, export data entities, back up and restore a database, and back up and restore configuration settings.

    The command-line tools are installed automatically when you install UDDI Services. They are located under the bin/ folder in the UDDI Services installation folder:

    • uddiconfig.exe: A command-line tool that applies configuration settings from an XML document to UDDI Services components or retrieves configuration settings from UDDI Services components and stores them in an XML document.

    • uddidataexport.exe: A wizard that you can use to select providers or models that are hosted in a UDDI site and export their details to an XML file.

    • uddicatschemeeditor.exe: A wizard that provides an interface for creating and modifying categorization schemes that comply with UDDI Services.

    • Backup.exe: A command-line tool that backs up or restores the UDDI Services Database.

    • Bootstrap.exe: A command-line tool that loads XML data such as exported UDDI data entities and categorization schemes into the UDDI Services Database.

    For more information about command-line tools, see the Microsoft UDDI SDK (http://go.microsoft.com/fwlink/?LinkId=81040).


Checklist: Install UDDI Services on a Single Server

Task | Reference
Review the features and functions of UDDI Services. | Overview of UDDI Services
Install UDDI Services using the Add Roles Wizard. | Perform a Stand-Alone Installation
Configure UDDI Services using the UDDI Services snap-in. | Assign Groups to UDDI Services Roles; Select Security Configuration Options


Checklist: Install the Database for a Distributed Installation

Task | Reference
Review the features and functions of UDDI Services. | Overview of UDDI Services
Install SQL Server on the server on which you will be installing the UDDI Services Database. | Perform a Distributed Installation Install the UDDI Services Database
Install UDDI Services using the Add Roles Wizard, and select role services such as the UDDI Services Database. | Perform a Distributed Installation
Configure UDDI Services to meet the needs of your organization. | Configure UDDI Services


Checklist: Install the Web Application for a Distributed Installation

Task | Reference
Review the features and functions of UDDI Services. | Overview of UDDI Services
Identify the SQL Server database server that you will use. | Perform a Distributed Installation
Install UDDI Services using the Add Roles Wizard, and select role services such as the UDDI Services Web Application. | Install the UDDI Services Web Application
Configure UDDI Services to meet the needs of your organization. | Configure UDDI Services


Checklist: Assess UDDI Capabilities by Deploying UDDI Services in a Small-Scale Environment

Task | Reference
Review the features and functions of UDDI Services. | Overview of UDDI Services
Install UDDI Services on a single server using the Add Roles Wizard. Use the Windows Internal Database as the data store. | Perform a Stand-Alone Installation
Configure UDDI Services to meet the needs of your organization, and then run a test application that is designed to query the UDDI Services registry. | Configure UDDI Services


Checklist: Implement a Stand-Alone Web Services Registry by deploying UDDI Services on a Single Server

Task | Reference
Review the features and functions of UDDI Services. | Overview of UDDI Services
Install UDDI Services on a single server using the Add Roles wizard. | Perform a Stand-Alone Installation
Configure UDDI Services to meet the needs of your organization. | Configure UDDI Services


Checklist: Implement a Distributed Web Services Registry by Deploying UDDI Services Across Multiple Servers

Task | Reference
Review the features and functions of UDDI Services. | Overview of UDDI Services
Identify the SQL Server database server that you will use. | Perform a Distributed Installation
Install UDDI Services using the Add Roles Wizard. | Install the UDDI Services Web Application
Configure UDDI Services to meet the needs of your organization. | Configure UDDI Services


Installing UDDI Services

You can deploy UDDI Services as either a stand-alone installation or a distributed installation. In a stand-alone environment, you install all the UDDI Services components on a single server. In a distributed environment, you can install multiple UDDI Services Web Application instances in various hardware configurations, and you install the UDDI Services Database on a separate server. You perform both a stand-alone installation and distributed installation with the Add Roles Wizard.

For more information about UDDI Services installation, see the following topics:

  • Perform a Stand-Alone Installation

  • Perform a Distributed Installation


Perform a Stand-Alone Installation

In a stand-alone installation of UDDI Services, both the UDDI Services Database and UDDI Services Web Application components are installed on a single server running Windows Server 2008 Standard. You first install the UDDI Services Database into an existing SQL Server database instance or the Windows Internal Database, and you then connect the UDDI Services Web Application to that instance. In a stand-alone installation of UDDI Services, the Windows Internal Database is the default database, unless SQL Server has been installed.

If Internet Information Services (IIS) is not already installed on the server, you are prompted to install it during the installation of UDDI Services.

Important

Secure Sockets Layer (SSL) encryption is selected by default, and it requires a server certificate. For more information see Select Security Configuration Options.

Note

If you want to use SQL Server to host the database, you must install it before you install the UDDI Services Database.

Installing UDDI Services

You can use the following procedure to install UDDI Services with the Add Roles Wizard.

To install UDDI Services

  1. Click Start, and then click Server Manager.

  2. If the User Account Control dialog box appears, confirm that the action it displays is what you want, and then click Continue.

  3. In the Server Manager main window, under Roles Summary, click Add Roles.

  4. In the Add Roles Wizard, click Select Server Roles.

  5. In the list of server roles, select UDDI Services.

  6. Follow the instructions in the Add Roles Wizard to complete the installation.

After you complete the installation, the UDDI Services snap-in is available on the Administrative Tools menu. You can then use the UDDI Services snap-in to change default permissions and security settings or perform other administrative tasks. For information about configuring UDDI Services, see Configure UDDI Services.


Perform a Distributed Installation

When you require high availability and reliability for your UDDI Services deployment, use a distributed installation.

In a distributed installation, you install the UDDI Services Database and UDDI Services Web Application role services on different servers. You install SQL Server before you install UDDI Services. After you install SQL Server, you then install the UDDI Services Database to that instance of SQL Server. Next, you install the UDDI Services Web Application on one or more servers, depending on the configuration that you choose.

For more information about installing SQL Server, see Preparing to Install SQL Server 2005 (http://go.microsoft.com/fwlink/?LinkId=92634).

Note

You install UDDI Services Database in a distributed environment on a computer running Windows Server 2008 Datacenter or Windows Server 2008 Enterprise.

  • Install the UDDI Services Database

  • Install the UDDI Services Web Application


Install the UDDI Services Database

The UDDI Services Database provides data storage services for a site. A UDDI Services site can have only one active database. In a distributed installation, the UDDI Services Database is installed into a database instance on an existing installation of SQL Server. If this is the initial installation for a UDDI Services site, after you install the database you install UDDI Services Web Application on one or more servers.

In addition to storing site data, UDDI Services Database also stores all site-wide configuration settings, such as the name of the site, its user group mappings, and the site’s use of cryptography and Secure Sockets Layer (SSL) technology. When you install UDDI Services, you install the database first, and when you want to connect to a remote site, you specify the computer that hosts the database.

For more information about installing SQL Server, see Preparing to Install SQL Server 2005 (http://go.microsoft.com/fwlink/?LinkId=92634).

Important

To install the UDDI Services Database on a clustered instance of SQL Server 2005, you must install the UDDI Services Database on the active node of the cluster first and then install the UDDI Services Database on each of the passive nodes.

Note

You install the UDDI Services Database in a distributed environment on a computer running Windows Server 2008 Datacenter or Windows Server 2008 Enterprise.

Membership in Administrators, or equivalent, is the minimum required to complete this procedure. Review details about using the appropriate accounts and group memberships at http://go.microsoft.com/fwlink/?LinkId=83477..

To install the UDDI Services Database

  1. Verify that SQL Server is installed on the target UDDI Services Database server. You will have to identify the local SQL Server instance during installation.

  2. From the computer on which SQL Server is installed, in the Server Manager main window, under Roles Summary, click Add roles.

    Or

    In the Initial Configuration Tasks window, under Customize this server, click Add roles.

  3. In the Add Roles Wizard, click Select Server Roles.

  4. In the list of server roles, select UDDI Services.

  5. Follow the instructions in the Add Roles Wizard to complete the installation.


Install the UDDI Services Web Application

The UDDI Services Web Application provides a Web user interface (UI) that developers can use for querying and publishing in a UDDI Services site and administrators can use for coordination tasks.

Important

During installation, Secure Sockets Layer (SSL) encryption is selected by default. If you decide to use SSL encryption with UDDI Services, you must have an authentication certificate for the installation of Internet Information Services (IIS) that hosts the UDDI Services Web Application. For more information about configuring SSL on a Web server, see Configuring SSL on a Web Server or Web Site (http://go.microsoft.com/fwlink/?LinkID=64327).

Membership in the Administrators group, or equivalent, on the local computer and on the remote computer hosting the UDDI Services Database is required to complete this procedure. Review details about using the appropriate accounts and group memberships at http://go.microsoft.com/fwlink/?LinkId=83477.

To install the UDDI Services Web Application

  1. Identify the database server that you will use. Install SQL Server and the UDDI Services Database before you install the UDDI Services Web application. The UDDI Services Database server must be running when you install the UDDI Services Web Application.

  2. On the server that you want to host the UDDI Services Web Application role service, in the Server Manager main window, under Roles Summary, click Add Roles.

    Or

    In the Initial Configuration Tasks window, under Customize this server, click Add roles.

  3. In the Add Roles Wizard, click Select Server Roles.

  4. In the list of server roles, select UDDI Services.

  5. Follow the instructions in the Add Roles Wizard to complete the installation.

After you install the UDDI Services Database and the UDDI Services Web Application on one or more Web servers, your UDDI Services distributed installation is complete. You can then use the UDDI Services snap-in to select configuration options and manage your UDDI Services site.


Upgrading UDDI Services

If you upgrade your operating system from Microsoft Windows Server® 2003 to Windows Server 2008, you must also upgrade UDDI Services. The following UDDI Services upgrade scenarios are supported:

  • Upgrade from a stand-alone installation running on Windows Server 2003

  • Upgrade from a distributed installation consisting of exactly one database and at least one Web application—all running on Windows Server 2003

For more information about both UDDI Services upgrade scenarios, see the following topic:

  • Perform a UDDI Services Upgrade


Perform a UDDI Services Upgrade

If you plan to upgrade your operating system from Windows Server 2003 to Windows Server 2008, you must also upgrade UDDI Services.

The following UDDI Services upgrade scenarios are supported:

  • Upgrading from a stand-alone installation running on Windows Server 2003

  • Upgrading from a distributed installation consisting of exactly one database and at least one Web application—all running on Windows Server 2003

During the operating system upgrade process, you uninstall all non-Windows applications, and then you reinstall them after the upgrade. For example, if you are running SQL Server, you uninstall it during the operating system upgrade and then reinstall it after the operating system upgrade is complete.

Membership in Administrators, or equivalent, is the minimum required to complete the upgrade. Review details about using the appropriate accounts and group memberships at http://go.microsoft.com/fwlink/?LinkId=83477.

Note

You install the UDDI Services Database in a distributed environment on a computer running Windows Server 2008 Datacenter or Windows Server 2008 Enterprise.

  • Upgrade a Stand-Alone Installation

  • Upgrade a Distributed Installation

  • Upgrade a Distributed Installation Running a SQL Server Failover Cluster


Upgrade a Stand-Alone Installation

In a stand-alone installation of UDDI Services, both the UDDI Services Database and UDDI Services Web Application role services are installed on a single server running Windows Server 2008 Standard.

The following stand-alone upgrade scenarios are supported:

  • The UDDI Services Database is installed on the Windows Internal Database, an embedded version of SQL Server 2000 in Windows Server 2003.

  • The UDDI Services Database is installed on SQL Server 2000 or SQL Server 2005.

You can use the following procedures to complete your stand-alone UDDI Services configuration:

  • Upgrade a Stand-Alone Installation Running the Windows Internal Database

  • Upgrade a Stand-Alone Installation Running SQL Server


Upgrade a Stand-Alone Installation Running the Windows Internal Database

Membership in Administrators, or equivalent, is the minimum required to complete the upgrade. Review details about using the appropriate accounts and group memberships at http://go.microsoft.com/fwlink/?LinkId=83477.

Upgrading UDDI Services

To upgrade UDDI Services when you are running the Windows Internal Database

  1. Upgrade the Windows Server 2003 operating system to the corresponding edition of Windows Server 2008.

  2. Click Start, right-click Command Prompt, and then click Run as administrator.

  3. If the User Account Control dialog box appears, confirm that the action it displays is what you want, and then click Continue.

  4. At the command prompt, type the following command, and then press ENTER:

    uddiupgrade.exe /wid

    Parameter Description

    Uddiupgrade.exe

    The Universal Description, Discovery, and Integration (UDDI) upgrade tool for upgrading UDDI Services as part of an operating system upgrade.

    /wid

    Upgrades UDDI Services using the Windows Internal Database.

Additional considerations

To open an elevated Command Prompt window, click Start, point to All Programs, click Accessories, right-click Command Prompt, and then click Run as administrator.


Upgrade a Stand-Alone Installation Running SQL Server

During the upgrade process, you uninstall all non-Windows applications—including SQL Server—and then reinstall them after the upgrade.

Membership in Administrators, or equivalent, is the minimum required to complete the upgrade. Review details about using the appropriate accounts and group memberships at http://go.microsoft.com/fwlink/?LinkId=83477.

Upgrading UDDI Services

To upgrade UDDI Services when you are running SQL Server

  1. Upgrade the Windows Server 2003 operating system to the corresponding edition of Windows Server 2008.

  2. Install an appropriate edition of SQL Server 2005.

  3. Click Start, right-click Command Prompt, and then click Run as administrator.

  4. If the User Account Control dialog box appears, confirm that the action it displays is what you want, and then click Continue.

  5. At the command prompt window, run the Universal Description, Discovery, and Integration (UDDI) upgrade tool by typing the appropriate command in the following list, depending on your system configuration.

Command, with example | Configuration and instructions
uddiupgrade.exe | SQL Server is the default database instance on the computer. UDDI Services was installed in the default location in Windows Server 2003 (%systemdrive%\inetpub\uddi). At a command prompt, type the command, and then press ENTER.
uddiupgrade.exe /sqlsvr:UDDISVR\UDDI | SQL Server is not the default database instance on the computer. Type the command, and enter the instance name. For example, if the local computer name is UDDISVR and the SQL Server instance name is UDDI, type the command as in the example, and then press ENTER.
uddiupgrade.exe /dbfile:d:\uddi\data\uddi.sys.mdf | Under the Windows Server 2003 operating system, UDDI Services was not installed in the default location (%systemdrive%\inetpub\uddi). Type the command, and then enter the full path of the database file uddi.sys.mdf, which is typically located in the \data folder under the UDDI Services installation folder. For example, if UDDI Services was installed at d:\uddi under Windows Server 2003, type the command as in the example, and then press ENTER.

Additional considerations

To open an elevated Command Prompt window, click Start, point to All Programs, click Accessories, right-click Command Prompt, and then click Run as administrator.


Upgrade a Distributed Installation

In an upgrade of a distributed installation of UDDI Services, upgrade the UDDI Services Database first and then upgrade the UDDI Services Web Application server.

  • If your UDDI Services database is running on a SQL Server failover cluster, see Upgrade a Distributed Installation Running a SQL Server Failover Cluster

Upgrading the UDDI Services Database (not clustered)

During the upgrade process, you uninstall all non-Windows applications—including SQL Server—and then reinstall them after the upgrade.

Membership in Administrators, or equivalent, is the minimum required to complete the upgrade. Review details about using the appropriate accounts and group memberships at http://go.microsoft.com/fwlink/?LinkId=83477.

To upgrade the UDDI Services Database

  1. Upgrade the Windows Server 2003 operating system to the corresponding edition of Windows Server 2008.

  2. Install an appropriate version of SQL Server 2005.

  3. Click Start, right-click Command Prompt, and then click Run as administrator.

  4. If the User Account Control dialog box appears, confirm that the action it displays is what you want, and then click Continue.

  5. At the command prompt, run the Universal Description, Discovery, and Integration (UDDI) upgrade tool by typing the appropriate command in the following list, depending on your system configuration.

    Command, with example Configuration and instructions

    uddiupgrade.exe

    SQL Server is the default database instance on the computer, and UDDI Services is installed in the default location in Windows Server 2003 (%systemdrive%\inetpub\uddi). At a command prompt, type the command, and then press ENTER.

    uddiupgrade.exe /sqlsvr:UDDISVR\UDDI

    SQL Server is not the default database instance on the computer. Type the command, and then enter the instance name. For example, if the local computer name is UDDISVR and the SQL Server instance name is UDDI, type the command as in the example, and then press ENTER.

    uddiupgrade.exe /dbfile:d:\uddi\data\uddi.sys.mdf

    In the Windows Server 2003 operating system, UDDI Services is not installed in the default location (%systemdrive%\inetpub\uddi). Type the command, and then enter the full path of the database file uddi.sys.mdf, which is typically located in the \data folder under the UDDI Services installation folder. For example, if UDDI Services was installed at d:\uddi in Windows Server 2003, type the command as in the example, and then press ENTER.

Upgrading the UDDI Services Web server

Membership in Administrators, or equivalent, on the local Web server and on the remote UDDI Services Database server is required to complete this procedure. Review details about using the appropriate accounts and group memberships at http://go.microsoft.com/fwlink/?LinkId=83477.

To upgrade the UDDI Services Web server

  1. Upgrade the Windows Server 2003 operating system to the corresponding edition of Windows Server 2008.

  2. Click Start, right-click Command Prompt, and then click Run as administrator.

  3. If the User Account Control dialog box appears, confirm that the action it displays is what you want, and then click Continue.

  4. At the command prompt, type the following command, and then press ENTER:

    uddiupgrade.exe

Parameter | Description
Uddiupgrade.exe | Upgrades UDDI Services as part of an operating system upgrade.
Uddiupgrade.exe /wid | Upgrades UDDI Services using the Windows Internal Database.
Uddiupgrade.exe /sqlsvr | Upgrades UDDI Services using a named SQL Server instance.
Uddiupgrade.exe /dbfile | Upgrades UDDI Services by specifying the full path of the old UDDI database file. Only necessary if UDDI Services was installed in a non-default location in Windows Server 2003 because you cannot specify a different database file location for the upgrade. The default location is %systemdrive%\inetpub\uddi.

Additional considerations

To open an elevated Command Prompt window, click Start, point to All Programs, click Accessories, right-click Command Prompt, and then click Run as administrator.


Upgrade a Distributed Installation Running a SQL Server Failover Cluster

In an upgrade of a distributed installation of UDDI Services, upgrade the UDDI Services Database first, and then upgrade the UDDI Services Web Application server.

Upgrading the UDDI Services Database on a SQL Server failover cluster

Membership in Administrators, or equivalent, is the minimum required to complete the upgrade. Review details about using the appropriate accounts and group memberships at http://go.microsoft.com/fwlink/?LinkId=83477.

To upgrade the UDDI Services database

  1. Upgrade the SQL Server 2000 or SQL Server 2005 failover cluster on Windows Server 2003 to SQL Server 2005 failover on Windows Server 2008 according to procedures and best practices for SQL Server.

  2. Log on to the active node of the failover cluster.

  3. Click Start, right-click Command Prompt, and then click Run as administrator.

  4. If the User Account Control dialog box appears, confirm that the action it displays is what you want, and then click Continue.

  5. At the command prompt, run the Universal Description, Discovery, and Integration (UDDI) upgrade tool by typing the appropriate command in the following table, depending on your system configuration.

Command, with example | Instructions
Uddiupgrade.exe /sqlsvr:UDDISVR\UDDI /dbfile:d:\uddi\data\uddi.sys.mdf | Type the command, enter the virtual server name and clustered SQL instance name, and then enter the full path of the database file uddi.sys.mdf, which is located on the shared drive of the failover cluster. For example, if the virtual server name is UDDISVR, the clustered SQL instance name is UDDI, and the UDDI Services Database file is d:\uddi\data\uddi.sys.mdf under Windows Server 2003, type the command as in the example, and then press ENTER.

Upgrading the UDDI Services Web Application server

Membership in Administrators, or equivalent, on the local Web server and on the remote UDDI Services Database Server is required to complete this procedure. Review details about using the appropriate accounts and group memberships at http://go.microsoft.com/fwlink/?LinkId=83477.

To upgrade the computer that is the UDDI Services Web Application server

  1. Upgrade the Windows Server 2003 operating system to the corresponding edition of Windows Server 2008.

  2. Click Start, right-click Command Prompt, and then click Run as administrator.

  3. If the User Account Control dialog box appears, confirm that the action it displays is what you want, and then click Continue.

  4. At the command prompt, type the following command, and then press ENTER:

    uddiupgrade.exe

To view the complete syntax for this command, and for information about entering user account information, at a command prompt, type the following command, and then press ENTER:

uddiupgrade.exe /?

Additional considerations

To open an elevated Command Prompt window, click Start, point to All Programs, click Accessories, right-click Command Prompt, and then click Run as administrator.


Configure UDDI Services

After you install UDDI Services, you can assign user and administrator groups to UDDI Services roles. You can also modify security settings, including authentication, encryption, and cryptography, to meet the needs of your organization.

In a distributed installation with multiple sites, you may have to add a site to the UDDI Services snap-in before you can configure the site or one of its Web servers. For more information, see Add or Remove a Site in the UDDI Services Snap-In.

  • Assign Groups to UDDI Services Roles

  • Select Security Configuration Options


Assign Groups to UDDI Services Roles

After you install UDDI Services, you can assign groups to UDDI Services roles as necessary to meet the needs of your organization. By default, the UDDI Services Publisher, Coordinator, and Administrator groups are members of the Windows security group BUILTIN\Administrators. The UDDI Services User group is a member of the Windows security group BUILTIN\Users.

Information technology (IT) administrators can easily manage access to UDDI Services functions by assigning user groups to one of four roles: User, Publisher, Coordinator, or Administrator. You can assign users or groups to the following UDDI Services roles.

Note

The User group and the Publisher group can include applications as well as people.

  • User

    Users have read-only access to UDDI Services Web service information. In an Active Directory® Domain Services (AD DS) domain, everyone is a User by default. Place any users, applications, or business partners who only need to find information—but do not need to add, change, or update any Universal Description, Discovery, and Integration (UDDI) data—in this group.

  • Publisher

    A Publisher is any person or application that publishes data in a site. For example, a Publisher may be a Web service that updates its access point or a developer who wants to publish a Web service to enable discovery through UDDI. When you publish data, you are the default owner of that data. Publishers can create new Web service publications or modify any of the publications that they own. The Publisher group has User rights.

  • Coordinator

    A Coordinator can query, publish, and configure data in the UDDI Services Web-based user interface (UI).

    In addition to having Publisher rights, a Coordinator can modify any data that is stored in UDDI Services, change publication ownership, import categorization schemes, and view statistical reports. Coordinators are often responsible for helping to ensure consistent and accurate publications; they can view or modify any entity, and they can correct errors. They also manage entity ownership, which includes tasks such as reassigning a publication to a new developer following the departure of the original publisher.

  • Administrator

    An Administrator can query, publish, coordinate, and administer UDDI Services. An Administrator can configure service options, manage security settings, perform backups, configure Web and database servers, and carry out other administrative tasks at the system level by using command-line tools and the UDDI Services snap-in. The UDDI Services Web-based interface does not include administrative tasks. By default, all local computer and domain administrators are assigned to the Administrator role.

Important

A local administrator has UDDI Services Administrator rights over any components that are operating on that computer, even if the local administrator has not specifically been assigned to the UDDI Services Administrator role.

The following table summarizes the tasks that each role can perform.

Tasks | User | Publisher | Coordinator | Administrator
Search for providers, services, and tModels. | X | X | X | X
Publish providers, services, and tModels. |  | X | X | X
View server statistics and manage entity ownerships. |  |  | X | X
Manage categorization schemes. |  |  | X | X
Import data from the Web UI. |  |  | X | X

Membership in Administrators, or equivalent, is the minimum required to complete this procedure. Review details about using the appropriate accounts and group memberships at http://go.microsoft.com/fwlink/?LinkId=83477.

To assign groups to UDDI Services roles

  1. Click Start, click Administrative Tools, and then click UDDI Services.

  2. In the console tree, click the site that you want to configure.

  3. On the Action menu, click Properties.

  4. In <site name> Properties, click the Roles tab.

  5. To change a group for any role for the UDDI Services site, click Select next to the Group Name.

  6. In Enter the object name to select, type the name of the group, and then click OK.

  7. Select another group to change, or click OK.

Additional considerations

If you have multiple sites, you may have to add the site that you want to configure to the UDDI Services snap-in. For more information, see Add or Remove a Site in the UDDI Services Snap-In.


Select Security Configuration Options

You can change the default authentication, encryption, and cryptography settings for a UDDI Services site.

Authentication

You can select an authentication type for a site. Select one of the following:

  • Windows Integrated and UDDI publisher authentication: Supports authenticated publications using Windows Integrated Authentication or UDDI Publisher authentication. This is the default selection. UDDI Publisher authentication is described in section 4 of the UDDI Version 2.0 Programmer's API Specification. For more information about the UDDI Version 2.0 Programmer's API Specification, see the Microsoft UDDI SDK (http://go.microsoft.com/fwlink/?LinkId=92855).

  • UDDI publisher authentication: Supports authenticated publications using UDDI Publisher authentication only, as defined in section 4 of the UDDI Version 2.0 Programmer's API Specification. For more information about the UDDI Version 2.0 Programmer's API Specification, see the Microsoft UDDI SDK (http://go.microsoft.com/fwlink/?LinkId=92855).

  • Windows Integrated publisher authentication: Supports authenticated publications using Windows Integrated Authentication only.

    • Authentication for read (inquiry) access: If this option is selected, this UDDI Services site mandates the use of Windows Integrated Authentication for UDDI Inquiry API requests into this site.

Membership in Administrators, or equivalent, is the minimum required to complete this procedure. Review details about using the appropriate accounts and group memberships at http://go.microsoft.com/fwlink/?LinkId=83477.

To select an authentication type

  1. Click Start, click Administrative Tools, and then click UDDI Services.

  2. In the console tree, click the UDDI Services site that you want to configure.

  3. On the Action menu, click Properties.

  4. Click the Security tab.

  5. Under Authenticated access, select the authentication type that you want to use, and then click OK.

Encryption

The use of Secure Sockets Layer (SSL) for publishing updates to the UDDI Services site is selected by default during UDDI Services installation. SSL encryption provides increased security for communication between client computers and UDDI Services Web Application.

Important

If you use SSL encryption, you must have an SSL authentication certificate, or UDDI Services will not function. If you have already obtained and installed an authentication certification for the installation of Internet Information Services (IIS) that hosts the UDDI Services Web Application, you do not have to install another certificate. For the procedure to configure SSL on a Web server or a Web site, see IIS 7.0 Beta: Configuring Server Certificates in IIS 7.0 (http://go.microsoft.com/fwlink/?LinkID=64327).

Membership in Administrators, or equivalent, is the minimum required to complete this procedure. Review details about using the appropriate accounts and group memberships at http://go.microsoft.com/fwlink/?LinkId=83477.

To enable or disable SSL

  1. Click Start, click Administrative Tools, and then click UDDI Services.

  2. In the console tree, click the UDDI Services site that you want to configure.

  3. On the Action menu, click Properties.

  4. Click the Security tab.

  5. Under Secure Communications, select or clear the Require SSL for publication requests to this site check box.

  6. Click OK.

Cryptography

You can change the default key settings that are used for UDDI publisher authentication. Cryptography settings include the following:

  • Simple Object Access Protocol (SOAP) authentication token expiration

  • Cryptography key time-out

Membership in Administrators, or equivalent, is the minimum required to complete this procedure. Review details about using the appropriate accounts and group memberships at http://go.microsoft.com/fwlink/?LinkId=83477.

To change cryptography settings

  1. Click Start, click Administrative Tools, and then click UDDI Services.

  2. In the console tree, click the UDDI Services site that you want to configure.

  3. On the Action menu, click Properties.

  4. Under Cryptography, click Change, and then modify one of the following:

    1. SOAP Authentication Token Expiration:

      Use the up or down arrow to change the time, in minutes, after which tokens that are issued for publication will expire.

    2. Cryptography Key Timeout:

      To reset the cryptography key that is used to encrypt SOAP authentication tokens now, click Reset Now.

      To automatically reset the cryptography key after a certain number of days, select the Automatically reset cryptography key check box, and then specify the number of days using the up or down arrow.

  5. Click OK twice.


Manage UDDI Services

You can manage UDDI Services by using the Microsoft Management Console (MMC) UDDI Services snap-in and by using command-line tools.

  • Understanding UDDI Services Entities

  • Add or Remove a Site in the UDDI Services Snap-In

  • Publish a Site in Active Directory Domain Services

  • Back Up a Database

  • Managing a UDDI Services Web Server


Understanding UDDI Services Entities

UDDI Services includes a directory of groups or organizations and the Web services that they provide on your intranet or extranet. The directory provides various kinds of information about these organizations and services that Web services developers can use when they design new applications. In a UDDI Services directory, the different types of information are called "entities."

UDDI Services entities

The entities that describe a Web service in UDDI Services include the following:

  • Provider

  • Contact

  • Service

  • Binding

  • Instance Info

  • tModel

Provider

A Provider is any business or physical or conceptual group that offers one or more XML Web services. For example, a business, business unit, organization, organizational department, person, computer, or application can be a provider in UDDI Services. In the UDDI Services data structure, a provider represents the parent entity under which all contact, service, and interface information is stored and organized.

Contact

A Contact can be a human or computer resource that can be contacted for information about a provider or the XML Web services that it offers. A provider may have as many contacts as necessary to identify each of its available contact points.

Service

A Service entity describes and provides access to a function that you want to share with other UDDI Services users. Services can perform any function across a network, from simple requests to complicated business processes. A stock ticker feed and an online procurement system are each examples of functions that can be published as a service. Services may have one or more bindings.

Binding

A Binding is the point where a specific implementation of a service can be accessed, such as the Uniform Resource Locator (URL) where an interface can be found. Bindings may also include one or more Instance Info structures.

Instance Info

An Instance Info is a reference to a tModel that contains relevant technical information about a binding, such as an interface specification document or Web Services Description Language (WSDL) file.

tModel

A tModel is typically used to provide technical information about an interface, such as a WSDL file, that describes the conventions that are supported by the interface. tModels are also used to represent an organized unit of descriptive data, such as an identification or categorization scheme. How tModels are used in your implementation may vary, depending on your organization's Web services publishing data model.

Entity attributes

Each entity is defined by one or more of the following attributes:

  • Categorization Scheme

  • Over Document URL

  • Discovery URL

  • Identifier

  • Relationships

  • Instance Parameters

Categorization Scheme

A Categorization Scheme is a collection of categories and subcategories that to describes and locates providers, services, and tModels. A categorization scheme may contain public classifications, such as the North American Industry Classification System (NAICS). It may also contain company-defined categorizations. For example, useful categorization schemes might be constructed according to geographical locations, industry segments, or a company's organizational structure. Categorization provides a consistent means by which users can search for providers and services or locate interfaces of a particular type, location, or other attribute.

Overview Document URL

The Overview Document URL is an address of a Hypertext Transfer Protocol (HTTP)-accessible resource that hosts data or information that you want to associate with an entity. For example, a tModel overview document might provide the URL to an interface definition or WSDL file that provides technical information that is required to invoke a service through an interface. For an Instance Info, an overview document might provide additional technical information that is applicable only to a specific implementation of an interface.

Discovery URL

The Discovery URL is an HTTP-accessible resource that typically responds to an HTTP-GET request with technical information that describes a provider. When a provider is created, UDDI Services automatically creates a Discovery URL pointing to that provider's <businessEntity> in that installation of UDDI Services. The term <businessEntity> refers to the UDDI description of the provider in XML format using UDDI language.

Identifier

An Identifier is an organization-wide identification scheme that logically groups providers and tModels by a common form of identification, such as a cost code or D-U-N-S® Number. Identifiers are optional descriptions. They are intended to enhance the discovery of providers and tModels in search operations.

Relationships

Relationships describe the identity, parent-child, or peer-peer relationships between providers. Relationships are useful, for example, for describing an organizational structure or advertising business partnerships.

Instance Parameters

Instance Parameters are the settings or parameters that are supported by an instance of a binding. An instance parameter may be either a list of settings and parameters or the URL of a file that contains a list of supported settings and parameters.


Add or Remove a Site in the UDDI Services Snap-In

A UDDI Services site represents a complete installation of UDDI Services, which includes a database server and one or more associated Web servers. You can add a site to the UDDI Services snap-in to connect to and manage the site and its associated Web servers.

Membership in Administrators, or equivalent, is the minimum required to complete these procedures. Review details about using the appropriate accounts and group memberships at http://go.microsoft.com/fwlink/?LinkId=83477.

To add a site to the UDDI Services snap-in

  1. Click Start, click Administrative Tools, and then click UDDI Services.

  2. In the console tree, click UDDI Services.

  3. On the Action menu, click Add Site.

  4. Do one of the following:

    • To manage a UDDI Services site on the computer on which this snap-in is running, click Local computer.

    • To manage a UDDI Service site on a remote computer, click Another computer, and then type the name or IP address of the remote UDDI Services database server.
To remove a site from the UDDI Services snap-in

  1. Click Start, click Administrative Tools, and then click UDDI Services.

  2. In the console tree, click the UDDI Services site that you want to remove from the snap-in.

  3. On the Action menu, click Delete.


Publish a Site in Active Directory Domain Services

You can use the UDDI Services snap-in to register a UDDI Services site’s connection points in Active Directory Domain Services (AD DS) to advertise the site's presence and access point to other UDDI Services–aware applications and services, such as Microsoft Visual Studio® 2005. When you install UDDI Services, the default selection Self-register publishes the site that you are installing in AD DS. You can choose not to self-register during installation.

Note

You can also use this interface to remove a site from publication in AD DS.

Membership in Domain Administrators, or equivalent, is the minimum required to complete this procedure. Review details about using the appropriate accounts and group memberships at http://go.microsoft.com/fwlink/?LinkId=83477.

To publish a site in AD DS

  1. Click Start, click Administrative Tools, and then click UDDI Services.

  2. In the console tree, click the UDDI Services site that you want to publish in AD DS.

  3. On the Action menu, click Properties, and then click the Active Directory tab.

  4. On the Active Directory tab, click Publish, and then click OK.

Additional considerations

  • Publishing in AD DS requires user credentials with directory Publish permissions.


Back Up a Database

Create a backup of your database in case of a system failure. You can use the UDDI Services command-line backup tool (backup.exe) or SQL Server to back up the database. For information about backing up a database using SQL Server, see SQL Server Help.

Important

Before you back up any data, we highly recommend that you stop all UDDI Services Web servers that are connected to the database instance for which you are creating a backup. For more information, see Start or Stop a Web Server.

Backing up a UDDI Services database

Membership in Administrators, or equivalent, is the minimum required to complete this procedure. Review details about using the appropriate accounts and group memberships at http://go.microsoft.com/fwlink/?LinkId=83477.

To back up a UDDI Services database using a command line

  1. On the computer that hosts the UDDI Services Database that you want to back up, open a command prompt with Administrator credentials. To open a command prompt, click Start, right-click Command Prompt, and then click Run as administrator.

  2. Type the following command, and then press ENTER:

    CD UDDI_Services_Installation_Directory\Data

    The default UDDI Services installation directory is:

                    %systemroot%\Inetpub\UDDI\

  3. Type the following command, and then press ENTER:

    backup.exe [/<backup:file>] [Database_Instance_Name]

    Parameter Description

    backup.exe

    Backs up or restores the UDDI Services Database.

    /<backup:file>

    The name of the Windows Internal Database or SQL Server database instance where the UDDI Services Database is installed. If no database is specified, the tool reads the configured database instance from the Windows registry.

    For example, to back up a UDDI Services database that is hosted in a database instance named UDDI, type the following command, and then press ENTER:

    backup.exe UDDI

    A backup of your data is placed in:

                    UDDI_Services_Installation_Directory\data\UDDI.database. yyyyMMddHHmm.bak.

  4. Copy this file to another location, or back it up for safekeeping.

Restoring a UDDI Services database

Membership in Administrators, or equivalent, is the minimum required to complete this procedure. Review details about using the appropriate accounts and group memberships at http://go.microsoft.com/fwlink/?LinkId=83477.

To restore a UDDI Services database using a command line
  1. On the computer that hosts the UDDI Services Database that you want to restore, open a command prompt with administrator privilege. To open a command prompt, click Start, right-click Command Prompt, and then click Run as administrator.

  2. Type the following command, and then press ENTER:

    CD <UDDI_Services_Installation_Directory>\bin
    The default UDDI Services installation directory is:

                      %systemroot%\Inetpub\UDDI\
  3. Type the following command, and then press ENTER:

    backup.exe /restore[:<file>] [<Database_Instance_Name>]

    Parameter Description

    backup.exe

    Backs up and restores the UDDI Services Database.

    /restore[:<file>]

    Restores the UDDI Services database from a backup file. If backup file is not specified, by default the tool finds the UDDI_Services_Installation_Directory \data\uddi.database.timestamp.bak that has the latest time stamp.

    <Database_Instance_Name>

    The name of the Windows Internal Database or SQL Server database instance where the UDDI Services Database is installed. If no database is specified, the tool reads the configured database instance from the Windows registry.
    For example, to restore a UDDI Services database to a database instance named UDDI, type the following command, and then press ENTER:

    Backup.exe /restore UDDI

Additional considerations

  • Backups that you create by using this tool contain physical paths and file names for Universal Description, Discovery, and Integration (UDDI) data files that are specific to the current installation. For this reason, you cannot use this tool to migrate data from one UDDI Services installation to another.


Managing a UDDI Services Web Server

A UDDI Services Web server represents an instance of the UDDI Services Web Application component that provides an interface for querying and publishing Web services on a UDDI Services site. The following topics contain procedures for managing a UDDI Services Web server:

  • Configure Web Server Logging

  • Start or Stop a Web Server

  • Move a Web Server from One Site to Another

  • Remove a Web Server from a Site

  • Change a Web Server's Database


Configure Web Server Logging

You can use the following procedure to configure event log settings and log file settings for a UDDI Services Web server.

Membership in Administrators, or equivalent, is the minimum required to complete this procedure. Review details about using the appropriate accounts and group memberships at http://go.microsoft.com/fwlink/?LinkId=83477.

To configure Web server logging

  1. Click Start, click Administrative Tools, and then click UDDI Services.

  2. In the console tree, click the site, and then click the Web server that you want to configure.

  3. On the Action menu, click Properties.

  4. Click the Logging tab, and then make your selections of the following configuration options:

    • Event Log Settings: Click and move the slider to specify the level of information that will be published to the event log by this UDDI Services Web server component.

    • Log File Settings: Click and move the slider to specify the level of information that will be published to the log file by this UDDI Services Web server component.

  5. Click OK.

Additional references

  • Managing a UDDI Services Web Server


Start or Stop a Web Server

You can use the following procedure to start or stop a UDDI Services Web server.

Membership in Administrators, or equivalent, is the minimum required to complete this procedure. Review details about using the appropriate accounts and group memberships at http://go.microsoft.com/fwlink/?LinkId=83477.

To start or stop a Web server

  1. Click Start, click Administrative Tools, and then click UDDI Services.

  2. In the console tree, click the site, and then click the UDDI Services Web server that you want to start or stop.

  3. Do one of the following:

    • To stop a Web server, on the Action menu, click Stop.

    • To start a Web server, on the Action menu, click Start.

Additional references

  • Managing a UDDI Services Web Server


Move a Web Server from One Site to Another

You can use the following procedure to move a Web server in a distributed installation of UDDI Services. You cannot move a Web server to or from a stand-alone site that is hosted on a computer running Windows Server 2008 Standard.

Membership in Administrators, or equivalent, is the minimum required to complete this procedure. Review details about using the appropriate accounts and group memberships at http://go.microsoft.com/fwlink/?LinkId=83477.

To move a Web server from one site to another

  1. Click Start, click Administrative Tools, and then click UDDI Services.

  2. In the console tree, click the UDDI Services site to which you want to move the Web server.

  3. On the Action menu, click Add Web Server.

  4. Select the computer that hosts the UDDI Services Web server component that you want to move to this site by doing one of the following:

    • Click Local computer (the one this console is running on).

    • Click Another computer, and then type the name or IP address of the remote UDDI Services Web server.

  5. Click OK.

Additional considerations

  • Before you can configure a site or one of its Web servers, you may have to add the site to the UDDI Services snap-in. For more information, see Add or Remove a Site in the UDDI Services Snap-In.

Additional references

  • Managing a UDDI Services Web Server


Remove a Web Server from a Site

If you are making hardware adjustments in your network, you may decide to remove a Web server. You can use this procedure to remove a Web server in a distributed installation of UDDI Services.

When you remove a UDDI Services Web server from a site, the UDDI Services Web Application is not disabled and the UDDI Services Web Application is not uninstalled. To completely remove a UDDI Services role service from a computer, use the Remove Role Services feature for this server role in Server Manager.

You cannot remove a Web server from a stand-alone site that is hosted on a computer running Windows Server 2008 Standard.

Membership in Administrators, or equivalent, is the minimum required to complete this procedure. Review details about using the appropriate accounts and group memberships at http://go.microsoft.com/fwlink/?LinkId=83477.

To remove a Web server from a site

  1. Click Start, click Administrative Tools, and then click UDDI Services.

  2. In the console tree, click the UDDI Services Web server that you want to remove.

  3. On the Action menu, click Delete.

Additional considerations

  • Before you can configure a site or one of its Web servers, you may have to add the site to the UDDI Services snap-in. For more information, see Add or Remove a Site in the UDDI Services Snap-In.

Additional references

  • Managing a UDDI Services Web Server


Change a Web Server's Database

You can change a UDDI Services Web server's database in a distributed installation. If you change a Web server's database connection to a database server that is in a different site, you change the site to which that Web server belongs.

You cannot change the database connection on a Web server that is part of a stand-alone site that is hosted on a computer running Windows Server 2008 Standard.

Note

The UDDI Services Database must be installed on a computer before a UDDI Services Web server can be connected to it.

Membership in Administrators, or equivalent, is the minimum required to complete this procedure. Review details about using the appropriate accounts and group memberships at http://go.microsoft.com/fwlink/?LinkId=83477.

To change a Web server's database

  1. Click Start, click Administrative Tools, and then click UDDI Services.

  2. In the console tree, click the UDDI Services Web server that you want to configure.

  3. On the Action menu, click Properties.

  4. Click the Database Connection tab.

  5. In Write operations computer, click Change.

  6. Select the computer that hosts the UDDI Services Database component that this Web server will use for write operations by doing one of the following:

    • Click Local computer (the one this console is running on).

    • Click Another computer, and then type the name or IP address of the remote UDDI Services Database server.

  7. In Read operations computer, click Change.

  8. Click the computer that hosts the UDDI Services Database component that this Web server will use for read operations by doing one of the following:

    • Click Local computer (the one this console is running on).

    • Click Another computer, and then type the name or IP address of the remote UDDI Services database server.

  9. Click OK.

Additional considerations

  • Before you can configure a site or one of its Web servers, you may have to add the site to the UDDI Services snap-in. For more information, see Add or Remove a Site in the UDDI Services Snap-In.

Additional references

  • Managing a UDDI Services Web Server


Resources for UDDI Services

For more information about UDDI Services, see the following resources on the Microsoft Web site:

  • UDDI Services (http://go.microsoft.com/fwlink/?LinkID=61803)

  • Microsoft UDDI SDK (http://go.microsoft.com/fwlink/?LinkID=81040)

For information about UDDI specifications, see the following:

  • OASIS UDDI (http://go.microsoft.com/fwlink/?LinkID=8024)


User Interface: UDDI Services

  • UDDI Services Snap-In

  • Server Manager (UDDI Services)


UDDI Services Snap-In

  • <Site Name> Properties Sheet - Active Directory Tab

  • <Site Name> Properties Sheet - Advanced Tab

  • <Site Name> Properties Sheet - General Tab

  • <Site Name> Properties Sheet - Roles Tab

  • <Site Name> Properties Sheet - Security Tab

  • <Web Server Name> Properties Sheet - Database Connection Tab

  • <Web Server Name> Properties Sheet - General Tab

  • <Web Server Name> Properties Sheet - Logging Tab

  • Edit Property Dialog Box

  • Select Computer Dialog Box

  • Select Web Server Dialog Box

  • UDDI Services Cryptography Dialog Box


<Site Name> Properties Sheet - Active Directory Tab

Use the following options on the Active Directory Domain Services tab to manage this site's publication into Active Directory Domain Services (AD DS).

Item | Details
Publish | Click Publish to publish this UDDI Services site in AD DS using the current user's credentials. This registers the site’s connection points in AD DS to advertise the site's presence and access point to other UDDI Services–aware applications and services.
Remove | Click Remove to remove this UDDI Services site's publication in AD DS using the current user's credentials.


<Site Name> Properties Sheet - Advanced Tab

Use the following options on the Advanced tab to view or modify the advanced configuration options that are available for this site.

Item | Description
Operator | The value that is used to populate the Operator attribute in Simple Object Access Protocol (SOAP) application programming interface (API) responses that include an Operator attribute.
Find.MaxRowsDefault | The maximum number of rows that are returned on SOAP API find requests.
DefaultDiscoveryURL | The prefix that is used for the default discovery Uniform Resource Locator (URL) that is attached to providers that are published in this site.


<Site Name> Properties Sheet - General Tab

Use the following options on the General tab to view information about this UDDI Services site.

Item Details

Site Key

The unique key that is associated with this site. The site key is used during programmatic queries.

Version

The version number of this installation.

Language

The default language code of this installation.

Site Description

A description of this site.

Date

The date that this site was installed.

Location

The path where this site was installed.

.NET Framework Version

The version number of the Microsoft .NET Framework that is installed on this server.

Components

A list of the UDDI Services components that are installed on this system:

  • UDDI Administration Component: This server hosts the UDDI Services snap-in and the administrative command-line tools.

  • UDDI Database Component: The server hosts a UDDI Services database component.

  • UDDI Web Server Component: This server hosts a UDDI Services Web server component.


<Site Name> Properties Sheet - Roles Tab

Use the following options on the Roles tab to view or modify the groups that are used by this site to define user privileges.

Control | Details
Administrators' Group Name | The name of the user group that your organization uses to define the users that have administrator privileges for this UDDI Services site. An Administrator is any individual who can query, publish, administer, and configure UDDI Services. In addition to Coordinator privileges for the Web-based user interface (UI), an Administrator can configure service options, manage security settings, facilitate backups, and perform other administrative tasks at the system level using the UDDI Services snap-in.
Coordinators' Group Name | The name of the user group that your organization uses to define the users that have Coordinator privileges for this UDDI Services site. A Coordinator is any individual who can query, publish, and administer data in the UDDI Services Web-based UI. In addition to Publisher privileges, a Coordinator can view and modify any data that is stored in UDDI Services, change entity ownerships, and view or refresh statistical reports.
Publishers' Group Name | The name of the user group that your organization uses to define the users that have publishing privileges in this UDDI Services site. A Publisher is any individual who can query and publish in UDDI Services. Publishers can add entities to UDDI Services or modify any of the entities that they own.
Users' Group Name | The name of the user group that your organization uses to define the users that have search privileges in this UDDI Services site. A user is any individual who can only query UDDI Services for Web service information. Any partner or organization with whom you want to share your Web services data must be granted—at a minimum—User privileges.


<Site Name> Properties Sheet - Security Tab

Use the following options on the Security tab to view or modify the authentication, encryption (Secure Communications), and cryptography settings for this UDDI Services site.

Control Details

Authenticated access

Under Authenticated Access, you can modify the type of authentication that this UDDI Services site uses. Select from the following options:

  • Windows Integrated and UDDI publisher authentication: This site supports authenticated publications using Windows Integrated authentication or UDDI Publisher authentication, as described in section 4 of the UDDI Version 2.0 Programmer's API Specification. For more information, see the Microsoft UDDI SDK (http://go.microsoft.com/fwlink/?LinkId=92855).

  • UDDI publisher authentication: This site supports authenticated publications using UDDI Publisher authentication only, as described in section 4 of the UDDI Version 2.0 Programmer's API Specification. For more information, see the Microsoft UDDI SDK (http://go.microsoft.com/fwlink/?LinkId=92855).

  • Windows Integrated publisher authentication: This site supports authenticated publications using Windows Integrated authentication only. If this type of authentication is selected, you can also select:

    • Authentication for read (inquiry) access: If this option is selected, this UDDI Services site mandates the use of Windows Integrated authentication for UDDI Inquiry API requests into this site.

Secure Communications

Under Secure Communications, you enable or disable Secure Sockets Layer (SSL) encryption for communication with the UDDI Services site. SSL encryption provides increased security for communications between client computers and the UDDI Services Web server component.

Important

If you use SSL encryption for this site, you must have an SSL authentication certificate for the installation of Internet Information Services (IIS) that host the UDDI Services Web server component; otherwise, UDDI Services will not function.

Cryptography

You can adjust the expiration of the Simple Object Access Protocol (SOAP) authentication token and cryptography key time-out settings for UDDI Publisher authenticated publications.


<Web Server Name> Properties Sheet - Database Connection Tab

Use the following options on the Database Connection tab to view or modify the database that is used by the UDDI Services Web server component for publishing and querying.

Item Details

Read operations computer

The name of the server that is used for read (query) operations, followed by the name of the database instance. To select a different server or database instance for read operations, click Change.

Write operations computer

The name of the server that is used for write (publish) operations, followed by the name of the database instance. To select a different server or database instance for write operations, click Change.

Note

You cannot change the database connection on a Web server that is part of a stand-alone site that is hosted on a computer running Windows Server 2008.


<Web Server Name> Properties Sheet - General Tab

Use the following options on the General tab to view information about this UDDI Services Web component.

Item Details

Version

The version number of this installation.

Language

The default language code of this installation.

Installation - Date

The date that this Web server component was installed.

Installation - Location

The path where this Web server component was installed.

Installation - .NET Framework Version

The version number of the Microsoft .NET Framework that is installed on this server.

Components

A list of the UDDI Services components that are installed on this system:

  • UDDI Administration Component: This server hosts the UDDI Services snap-in and the administrative command-line tools.

  • UDDI Database Component: The server hosts a UDDI Services database component.

  • UDDI Web Server Component: This server hosts a UDDI Services Web server component.


<Web Server Name> Properties Sheet - Logging Tab

Use the following options on the Logging tab to view or modify the Event Long Settings and Log File Settings for the UDDI Services Web server component.

Item | Description
None | No information is logged.
Error | Records significant problems, such as loss of data or loss of functionality. For example, if a service fails to load during startup, an error is logged.
Warning | Records errors and events that are not necessarily significant but may indicate a possible future problem. For example, when disk space is low, a warning is logged.
Failure Audit | Records errors, warnings, and security access attempts that fail. For example, if a user tries to access a network drive and fails, the attempt is logged as a failure audit event.
Success Audit | Records errors, warnings, and both failed and successful security attempts. For example, a user's successful attempt to log on the system is logged as a success audit event.
Info | Records errors, warnings, security audits, and events that describe the successful operation of an application, driver, or service. For example, when a network driver loads successfully, an info event is logged.
Verbose | Records all successful and failed events.


Edit Property Dialog Box

In the Properties dialog box, on the Advanced tab, click a property in the list, and then click Edit Property to change its value.

Item | Detail
Name | The property name, for example, DefaultDiscoveryURL.
Value | The value that is currently assigned to the property, for example, a text string, a number, or a Uniform Resource Locator (URL), depending on the type of property.


Select Computer Dialog Box

Use the following options in the Select Computer dialog box to select the computer that hosts the component that you want to connect to.

Item Details

Select this object type

Click Object Type to select the types of objects that you want to find. This list shows the available object types that you can look for. This list may include one or more of the following types of objects:

  • Built-in security principals: Objects that represent default built-in groups and foreign security principals. Examples include the following: Administrators, System Operators, Users, Power Users, Everyone, Authenticated Users, Anonymous Logon, Guests, and System.

  • Groups: Objects that can have users, computers, and other groups as its members.

  • Users: Objects that are used to allow people to access network resources.

  • Computers: Objects that are used to represent a computer's access to network resources.

  • Contacts: Objects that are used to locate information about people. Contact objects cannot be assigned permissions; therefore, they do not have access to network resources.

  • Other: Objects that can be created by applications.

From this location

Click Locations to select the root location from which to begin your search.

Enter the object name to select

Provides a space for you to type the object names that you want to find. You can search for multiple objects by separating each name with a semicolon. Use one of the following syntax examples:

  • DisplayName (example: FirstName LastName)

  • ObjectName (example: Computer1)

  • UserName (example: User1)

  • ObjectName@DomainName (example: User1@Domain1)

  • DomainName\ObjectName (example: Domain1\User1)


Select Web Server Dialog Box

Use the following options in the Select Web Server dialog box to select the computer where you want to move a Web server in a distributed installation of UDDI Services.

Item | Details
Local computer (the one this console is running on) | Select this option to manage a UDDI Services component, for example, a Web server, on the computer on which this console is running.
Another computer | Select this option to manage a UDDI Services component, for example, a Web server, on a remote computer. Enter the name or IP address of the remote computer that hosts the UDDI Services component.


UDDI Services Cryptography Dialog Box

Use the following options in the Cryptography dialog box to view or modify the Simple Object Access Protocol (SOAP) authentication token expiration and cryptography key time-out settings for this UDDI Services site.

Control Details

SOAP Authentication Token Expiration

Specify the amount of time, in minutes, that the SOAP authentication token expires for UDDI Publisher authenticated publications. SOAP authentication tokens communicate publisher credentials for UDDI Publisher authenticated publications.

Cryptography Key Timeout

The creation date of the cryptography key that is used to generate SOAP authentication tokens and the amount of time, in days, that the key is automatically reset.

To reset the cryptography key that encrypts SOAP authentication tokens now, click Reset Now.

To automatically reset the cryptography key after a certain number of days, select the Automatically reset cryptography key check box, and then specify the number of days.


Server Manager (UDDI Services)

The following topics provide information that you can use to select options when you use the Add Roles Wizard to install UDDI Services:

  • Select Database Instance

  • Select SSL Encryption Option

  • Specify Database and Log File Locations

  • Choose Service Account

  • Set Self-Registration


Select Database Instance

Enter the name of the SQL Server database instance. If no database instance is specified, the default database instance is used.

If you want to use SQL Server to host the UDDI Services Database, you must install SQL Server before you install the UDDI Services Database. In a distributed installation, you must install the database before you install the UDDI Services Web Application. The UDDI Services Database is installed on an existing instance of SQL Server.


Select SSL Encryption Option

Secure Sockets Layer (SSL) encryption provides increased security for communication between client computers and the UDDI Services Web Application. We strongly recommend that you use SSL with UDDI Services.

Important

If you use SSL encryption, you must have an SSL authentication certificate, or UDDI Services will not function. If you have already obtained and installed an authentication certification for the installation of Internet Information Services (IIS) that hosts the UDDI Services Web Application, you do not have to install another certificate. For the procedure to configure SSL on a Web server or a Web site, see IIS 7.0 Beta: Configuring Server Certificates in IIS 7.0 (http://go.microsoft.com/fwlink/?LinkID=64327).


Specify Database and Log File Locations

The default location for saving the UDDI Services Database and log files is the system drive. You can accept the default location unless there is a reason for specifying an alternative location, for example, if you want to conserve space on your server or if you have an alternative location that is backed up automatically.

If you are installing the UDDI Services Database on an active node of a SQL Server failover cluster, you must specify database and log file locations on the shared drives of the failover cluster to complete a successful installation of the server role. If you are installing the UDDI Services Database on a passive node of a SQL Server failover cluster, you can simply ignore the database and log file locations and accept the default values .


Choose Service Account

The service account provides a network identity that UDDI Services uses to communicate with other services on the local computer or the network. For example, in a distributed installation of UDDI Services, when the UDDI Services Web Application connects to the UDDI Services Database, the network identity is used for authentication.

If you are installing a stand-alone server, select Local Service because you do not need network access. Using a local service account helps reduce your vulnerability to attacks over the network.

If you are performing a distributed installation, select Network Service.

Selecting User Account is not recommended in most cases. The user name and password information for each service that uses a local user account is stored in the registry, which an attacker can exploit if the attacker gains administrative access to the computer. As a result, security exposure occurs whenever you configure a service to log on as a user.


Set Self-Registration

Self-registration automatically publishes a site's interfaces as services and bindings in the UDDI Services registry and in Active Directory Domain Services (AD DS) using the current users' credentials.

In a distributed installation with more than one Web server, perform self-registration only from one of the Web servers. Repeating self-registration from any of the other Web servers results in the modification of any previously configured parameters, such as the site's Universal Description, Discovery, and Integration (UDDI) discovery Uniform Resource Locator (URL) and Active Directory publication.

You can later publish or revoke this site's Active Directory publication by using the UDDI Services snap-in.